<template>
    <v-row justify="center" class="bee-gray">
        <v-col cols="8">
            <v-row align="center">
                <v-col cols="1">
                    <a @click="$router.go(-1)">
                        <img width="70px" src="~@/assets/icons/regresar.svg" alt srcset />
                    </a>
                </v-col>
                <v-col cols="1">
                    <h5 class="titleBack">Regresar</h5>
                </v-col>
            </v-row>
            <v-row class="bordered" style="border-bottom:none;">
                <div class="d-flex black" style="width:100%;">
                    <h1 class="ml-10 white--text">LISTADO DE CATÁLOGOS</h1>
                </div>

                <v-row no-gutters align="center" style="height:150px;">
                    <v-col cols="1">
                        <v-spacer></v-spacer>
                    </v-col>
                    <v-col cols="2" class="d-flex" style="height:50px;">
                        <h3 style="margin:auto;">NEGOCIO</h3>
                    </v-col>
                    <v-col cols="4">
                        <v-overflow-btn
                            :items="restaurants"
                            height="50px"
                            item-text="name"
                            :return-object="true"
                            @change="selectorChanged"
                            :value="restaurants.length ? restaurants[0] : null"
                            class="overbtn"
                        ></v-overflow-btn>
                    </v-col>
                </v-row>
            </v-row>
            <v-row class="table-title bordered" style="border-top:none;">
                <v-col cols="3">
                    <span class="titles">CATÁLOGO</span>
                </v-col>
                <v-col cols="3">
                    <v-spacer></v-spacer>
                </v-col>
                <v-col cols="2">
                    <span class="titles">ÚLTIMA ACTUALIZACIÓN</span>
                </v-col>
                <v-col cols="2">
                    <span class="titles">COMENTARIOS</span>
                </v-col>
                <v-col cols="2">
                    <span class="titles">EDITAR</span>
                </v-col>
            </v-row>
            <v-row v-for="menu in menusOfSelected" :key="menu.id" class="table-body bordered" style="border-top:none;">
                <v-col cols="3">
                    <span class="titles">{{ menu.name }}</span>
                </v-col>
                <v-col cols="3">
                    <v-spacer></v-spacer>
                </v-col>
                <v-col cols="2">
                    <span class="titles">{{ menu.lastUpdated.toDate().toLocaleString() }}</span>
                </v-col>
                <v-col cols="2">
                    <v-btn icon :to="{ name: 'Review', params: { id: menu.id } }">
                        <HexButton class="hexbtn">
                            <v-icon color>mdi-comment-outline</v-icon>
                        </HexButton>
                    </v-btn>
                </v-col>
                <v-col cols="2">
                    <v-btn icon :to="{ name: 'menu', params: { id: menu.id } }">
                        <HexButton class="hexbtn">
                            <v-icon color>mdi-file-edit-outline</v-icon>
                        </HexButton>
                    </v-btn>
                </v-col>
            </v-row>
        </v-col>
    </v-row>
</template>

<script lang="ts">
import { Component, Vue } from 'vue-property-decorator';
import { namespace } from 'vuex-class';
import { Restaurant } from '@/model/Restaurant';
import { Menu } from '@/model/menu/Menu';
import HexButton from '@/components/commons/HexButton.vue';

const restaurantStore = namespace('RestaurantModule');

@Component({
    components: {
        HexButton
    }
})
export default class MenusRestaurants extends Vue {
    @restaurantStore.State
    restaurants!: Restaurant[];

    selectedRestaurant: Restaurant | null = null;

    selectorChanged(e: Restaurant) {
        this.selectedRestaurant = e;
    }

    get menusOfSelected(): Menu[] {
        return this.selectedRestaurant == null ? [] : this.selectedRestaurant.menus;
    }

    mounted() {
        if (this.restaurants.length) {
            this.selectedRestaurant = this.restaurants[0];
        }
    }
}
</script>

<style type="text/css">
@media screen and (max-width: 800px) {
    .titleRest {
        position: absolute;
        color: #fbc02d;
        margin-top: 85px;
        margin-left: 18px;
        width: 100%;
    }
    .overbtn {
        margin-left: -50px;
    }
    .titleBack {
        margin-left: 58px;
        position: absolute;
    }
    .titles {
        font-size: 12px;
    }
    .hexbtn {
        width: 40px;
        height: 40px;
    }

    .mdi-comment-outline {
        width: 5px;
        height: 2px;
        position: absolute;
    }
    .v-icon {
        width: 1px;
        height: 5px;
    }
}
@media (max-width: 700px) {
    .titleRest {
        position: absolute;
        color: #fbc02d;
        margin-top: 85px;
        margin-left: 18px;
        width: 100%;
    }
    .titleBack {
        margin-left: 58px;
        position: absolute;
    }
    .titles {
        font-size: 5px;
    }
    .hexbtn {
        width: 30px;
        height: 30px;
    }

    .mdi-comment-outline {
        width: 5px;
        height: 2px;
        position: absolute;
    }
    .v-icon {
        width: 1px;
        height: 5px;
    }

    .v-overflow-btn:not(.v-overflow-btn--editable) > .v-input__control > .v-input__slot {
        position: absolute;
        width: 100px;
        margin-top: 20px;
        background: url('https://img.icons8.com/ios/50/000000/down-squared--v2.png') no-repeat;
    }
}
</style>
